/*
Copyright (c) 2015, haael.co.uk
Attribution-ShareAlike 4.0 International (CC BY-SA 4.0)
https://creativecommons.org/licenses/by-sa/4.0/legalcode
*/

body, input, button
{
	font-family: 'Monda', 'Lucida', sans-serif;
}

body
{
	font-size:16pt;
	color:#202020;
	/*background-color:#ff8040;*/
	margin:0;
	padding:0;
}

header, nav, noscript, div#console, section, div#bottombar, footer
{
	margin-left: 120px;
	margin-right: 120px;
	margin-top: 0px;
	margin-bottom: 0px;
	text-align: center;
}

header
{
	background-color: #d0a0a0;
	background-image: url(sunset-large.jpg);
	background-size: cover;
	color: white;
	border-radius:0px 0px 10px 10px;
}

nav
{
	margin-top: 80px;
	margin-bottom: 80px;
}

noscript, div#console
{
	margin-top: 80px;
	background-color: #907070;
	background-image: url(rooster-large.jpg);
	background-size: cover;
	background-position: center;
	color: white;
	border-radius: 10px 10px 0px 0px;
}

noscript
{
	display: block;
}

div#console
{
	min-height: 200pt;
}

div#console pre
{
	display: block;
	font-family: monospace;
	font-size: 10pt;
}

section
{
	background-color: #d0a0a0;
	color: white;
	padding-bottom: 20pt;
	border-radius: 10px 10px 0px 0px;
}

footer
{
	background-color: #d0a0a0;
	background-image: url(stones-large.jpg);
	background-size: cover;
	color: white;
	border-radius: 10px 10px 0px 0px;
	font-size: 10pt;
}

header, footer
{
	padding-top: 15px;
	padding-bottom: 15px;
}

section.secondary
{
	border-radius: 0px 0px 0px 0px;
}

section#findaddress
{
	background-color: #a06040;
	background-image: url(desert-large.jpg);
	background-size: cover;
	color: white;
}

section#vanilla
{
	background-color: #006000;
	background-image: url(http://mashable.com/wp-content/uploads/2013/07/sloth-hanging.jpg); /* FIXME: replace */
	background-size:cover;
	color:white;
}

section#vanity
{
	background-color: #90d040;
	background-image: url(peacock-large.jpg);
	background-size:cover;
	color:white;
}

div#bottombar
{
	background-color: #202020;
	color: white;
	height: 15px;
	border-radius: 0px 0px 10px 10px;
	margin-bottom: 80px;
}

p, pre
{
	text-align:left;
	padding-left:20px;
	padding-right:20px;
	background-color:rgba(0, 0, 0, 0.6);
	margin-bottom: 0pt;
	margin-top: 20pt;
	padding-bottom: 0pt;
}

footer ul
{
	text-align: left;
	background-color: rgba(0, 0, 0, 0.6);
}

footer img
{
	background-color: white;
}

nav button
{
	margin:0;
	font-size: 20pt;
	font-weight: bold;
	padding: 15px;
	border-radius:0px;
	min-width:100px;
}

nav div > button:first-of-type { border-radius:15px 0px 0px 15px; }
nav div > button:last-of-type { border-radius:0px 15px 15px 0px; }
nav div > button:only-of-type { border-radius:15px 15px 15px 15px; }


.optional { font-size:12pt; }

h1 { font-size: 20pt; border-radius:10px 10px 0px 0px; }
h2 { font-size: 16pt; }

h1, h2
{
	margin-top: 0pt;
	margin-bottom: 0pt;
	font-weight:bold;
	color:white;
	background: rgba(0, 0, 0, 0.5);
	padding-bottom: 12pt;
	padding-top: 12pt;
	display:block;
}

strong
{
	font-weight: normal;
	color: #ffff90;
	/*color:yellow;*/
	text-shadow: 0px 0px 6px red;
}

fieldset
{
	text-align:right;
	border: none;
	line-height: 34pt;
	padding-right:20%;
	margin: 0;
	padding-bottom: 0;
}

.label
{
	display: inline-block;
	min-width: 150pt;
	/*background-color:rgba(0, 0, 0, 0.6);*/
	text-shadow: 0px 0px 4px black;
}

input[type='text']
{
	border: 1px solid #701010;
	border-radius: 4px;
	box-shadow: 0px 0px 10px 0px #701010;
	font-size: 16pt;
	width: 60%;
	background: rgba(0, 0, 0, 0.5);
	color: white;
}

input[type='text']:disabled
{
	box-shadow: 0px 0px 0px 0px white;
	background: rgba(128, 128, 128, 0.75);
	border:1px solid gray;
	color: #505050;
}

input[type='text'][readonly='true']
{
	box-shadow: 0px 0px 0px 0px white;
	border:1px solid gray;
}

input[type='text'].short
{
	min-width:60pt;
	width:60pt;
}

button
{
	border:1px solid #701010;
	background: #701010;
	color:white;
	border-radius:4px;
	box-shadow: 0px 0px 10px 0px #701010;
	font-size: 16pt;
}

button:disabled
{
	background: black;
	color: gray;
	box-shadow: 0px 0px 0px 0px white;
}

a
{
	text-decoration: underline;
	text-decoration-color: #ffff90;
	color: white;
}

